Skip to main content
`Ctrl`+`K`

# PetscViewerFlush

Flushes a `PetscViewer` (i.e. tries to dump all the data that has been printed through a `PetscViewer`).

## Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerFlush(PetscViewer viewer)

Collective

## Input Parameter

- viewer - the `PetscViewer` to be flushed

## See Also

Viewers: Looking at PETSc Objects, `PetscViewer`, `PetscViewerWriteable()`, `PetscViewerSocketOpen()`, `PetscViewerASCIIOpen()`, `PetscViewerDrawOpen()`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerSetType()`

## Level

intermediate

## Location

src/sys/classes/viewer/interface/flush.c

## Examples

src/ts/tutorials/ex53.c
src/dm/tutorials/swarm_ex1.c
src/snes/tutorials/ex34.c
src/snes/tutorials/ex62.c
src/vec/is/sf/tutorials/ex1.c
src/ts/tutorials/ex30.c
src/snes/tutorials/ex17.c

## Implementations

PetscViewerFlush_ExodusII() in src/dm/impls/plex/exodusii/plexexodusii2.c
PetscViewerFlush_ASCII() in src/sys/classes/viewer/impls/ascii/filev.c
PetscViewerFlush_Draw() in src/sys/classes/viewer/impls/draw/drawv.c
PetscViewerFlush_HDF5() in src/sys/classes/viewer/impls/hdf5/impl/ihdf5v.c
PetscViewerFlush_VTK() in src/sys/classes/viewer/impls/vtk/vtkv.c
PetscViewerFlush_VU() in src/sys/classes/viewer/impls/vu/petscvu.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages